.solutions-what-deliver {
    overflow: hidden;

    @media screen and (max-width: 1024px) {
        padding-block: 80px;
    }
}

.solutions-what-deliver__row {
    display: grid;
    gap: 40px;
    position: relative;
    padding-bottom: 20px;
    border-bottom: 1px solid var(--color-grey-92);

    @media screen and (min-width: 768px) {
        grid-template-columns: 1fr 1fr;

        &:before {
            content: "";
            position: absolute;
            top: 0;
            left: 50%;
            transform: translateX(-50%);
            width: 1px;
            height: calc(100% - 20px);
            background-color: var(--color-grey-92);
        }

    }
}

.solutions-what-deliver__left-column,
.solutions-what-deliver__right-column {
    padding: 60px;
    min-height: 620px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border-radius: 32px;
    margin-top: 20px;
    position: relative;
    z-index: 1;

    @media screen and (max-width: 1024px) {
        padding: 40px 20px;
        min-height: initial;
    }
}

.solutions-what-deliver__left-column {
    border: 1px solid var(--color-grey-92);

    &:before {
        content: "";
        position: absolute;
        top: -20px;
        left: 0;
        width: 100%;
        height: 1px;
        background-color: var(--color-grey-92);
        z-index: -1;
    }
}

.solutions-what-deliver__right-column {
    background: var(--color-orange-82);
    overflow: hidden;

    &:before {
        content: "";
        position: absolute;
        top: -262px;
        right: -72px;
        aspect-ratio: 1;
        width: 594px;
        background-color: var(--color-white-25);
        border-radius: 50%;
        border: 2px solid var(--color-grey-97);
        z-index: -1;

        @media screen and (max-width: 1024px) {
            width: 423px;
        }

        @media screen and (max-width: 767px) {
            top: -291px;
            right: -82px;
        }
    }

}

.solutions-what-deliver__item-title {
    font-size: 32px;
    font-weight: 500;
    line-height: 1.1;
    letter-spacing: -0.96px;
    margin-bottom: 40px;
}

.solutions-what-deliver__item-description {
    color: var(--color-grey-37);
    font-size: 16px;
}

.solutions-what-deliver__divider {
    height: 100%;
    background: var(--color-grey-92);

    @media screen and (max-width: 1024px) {
        display: none;
    }
}

.solutions-what-deliver__image {
    padding-top: 32px;
}